//  CPSC 3710: Computer Graphics 
//  Pov-Ray Project, by Corey Asbreuk  
//  Due: Feb 15, 2002
//  
//
//  ------------------------------------
//  Persistence of Vision Raytracer V3.1
//  World definition file.
//
//  Contains 1 lights, 10 materials and 19 primitives.
//
//  This file was generated for POV-Ray V3.1 by
//  Moray V3.3 For Windows Copyright (c) 1993-2000 Lutz + Kretzschmar
// 
// 
//

/*
  The text between these two comments is in MorayPOV.INC and is
  automatically included in all POV files that Moray exports.
*/

default {
  texture {
    pigment { rgb <1,0,0> }
  }
}

/* // Scene Comment

This scene was created with Moray For Windows.

*/ // End Scene Comment

global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.9
  hf_gray_16 off
  irid_wavelength <0.247059,0.176471,0.137255>
  max_intersections 64
  max_trace_level 10
  number_of_waves 10
  radiosity {
    brightness       3.3
    count            100
    distance_maximum 0.0
    error_bound      0.4
    gray_threshold   0.5
    low_error_factor 0.8
    minimum_reuse    0.015
    nearest_count    6
    recursion_limit  1
  }
}

background { color <0.000,0.000,0.000> }

camera {  //  Camera StdCam
  location  <      3.925,     -16.702,      -2.229>
  sky       <    0.00000,     0.00000,     1.00000> // Use right handed-system 
  up        <        0.0,         0.0,         1.0> // Where Z is up
  right     <    1.39385,         0.0,         0.0> // Right Vector is adjusted to compensate for spherical (Moray) vs. planar (POV-Ray) aspect ratio
  angle         60.00000    // Vertical      45.000
  look_at   <      4.000,      11.000,       0.000>
}

//
// *******  L I G H T S *******
//

light_source {   // Light1
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>
  translate <      3.925,     -2000.702,      550.229>
}


//
// ********  MATERIALS  *******
//

#include "project.inc"


//
// ********  REFERENCED OBJECTS  *******
//



//
// ********  OBJECTS  *******
//


sphere { // Saturn
  <0,0,0>,1
  material {
    ki_Gold
  }
  no_shadow
  translate  <13.947614, 17.8069, 13.690593>
}


torus { // Saturn_Rings
  1.5, 0.5  rotate -x*90
  material {
    ki_Gold
  }
  no_shadow
  scale <1.0, 1.0, 0.1>
  rotate -21.0*y
  translate  <13.951835, 17.741337, 13.532375>
}


plane { // Stars
  z,0
  material {
    Starfield
  }
  scale <20.0, 10.0, 1.0>
  rotate 90.0*x
  translate  <0.0, 18.886818, 5.0>
}


sphere { // Earth
  <0,0,0>,1
  material {
    Light_Clouds
  }
  no_shadow
  scale <3.0, 1.0, 3.0>
  translate  <0.0, 17.930523, 8.606651>
}


box { // Univ1
  <-1, -1, -1>, <1, 1, 1>
  material {
    SandstP
  }
  scale <14.0, 1.0, 3.0>
  rotate 1.0*z
  translate  <4.5, 13.0, 0.7>
}


object {   // Coulee Heightmap  
// uses image color index as height, extends along X-Z axes
// from <0 0 0> to <1 1 1>
height_field  { 
  // I modified this somewhat from the Moray implementation
                                                            
  // you will need to change the path to compile on your machine
  tga "C:\Program Files\POVRay\moray\Mdl\project\coulee.tga"  

  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin

  texture
  {
    pigment
    {  // you will need to change the path to compile on your machine
      image_map { tga "c:\compiler\school\3710\project\ground.tga" map_type 0 interpolate 4 }
      rotate x*90 // lay X-Y image map down onto X-Z height field plane
    }
  }
}

  scale <30.0, 20.0, 4.0>
  translate  0.119537*y
}

box { // Window1
  <-1, -1, -1>, <1, 1, 1>
  material {
    Vicks_Bottle_Glass
  }
  scale <14.0, 1.05, 0.3>
  rotate 1.0*z
  translate  <4.5, 13.0, 2.836758>
}

box { // Window2
  <-1, -1, -1>, <1, 1, 1>
  material {
    Stars
  }
  scale <14.0, 1.05, 0.2>
  rotate 1.0*z
  translate  <4.5, 13.029514, 1.9>
}


box { // Window3
  <-1, -1, -1>, <1, 1, 1>
  material {
    Vicks_Bottle_Glass
  }
  scale <14.0, 1.05, 0.3>
  rotate 1.0*z
  translate  <4.5, 13.0, 0.717221>
}

box { // Window4
  <-1, -1, -1>, <1, 1, 1>
  material {
    Vicks_Bottle_Glass
  }
  no_shadow
  scale <14.0, 1.05, 0.2>
  rotate 1.0*z
  translate  <4.5, 13.0, -0.597684>
}


box { // Window5
  <-1, -1, -1>, <1, 1, 1>
  material {
    Vicks_Bottle_Glass
  }
  no_shadow
  scale <14.0, 1.05, 0.2>
  rotate 1.0*z
  translate  <4.5, 13.0, -1.314905>
}


box { // Window6
  <-1, -1, -1>, <1, 1, 1>
  material {
    Vicks_Bottle_Glass
  }
  no_shadow
  scale <14.0, 1.05, 0.2>
  rotate 1.0*z
  translate  <4.5, 13.0, -2.032126>
}


box { // Pillar1
  <-1, -1, -1>, <1, 1, 1>
  material {
    SandstP
  }
  scale <0.05, 1.2, 2.0>
  translate  <1.636987, 13.0, -2.151663>
}

box { // Pillar2
  <-1, -1, -1>, <1, 1, 1>
  material {
    SandstP
  }
  scale <0.05, 1.2, 2.0>
  translate  <3.410389, 13.0, -2.151663>
}

box { // Pillar3
  <-1, -1, -1>, <1, 1, 1>
  material {
    SandstP
  }
  scale <0.05, 1.2, 2.0>
  translate  <5.320207, 13.0, -2.151663>
}


box { // Pillar4
  <-1, -1, -1>, <1, 1, 1>
  material {
    SandstP
  }
  scale <0.05, 1.2, 2.0>
  translate  <7.230025, 13.0, -2.151663>
}


cylinder { // Cylndr001
  <0,0,1>, <0,0,0>, 1 
  material {
    SandstP
  }
  scale <1.0, 1.0, 2.0>
  translate  <-3.285016, 12.894115, -4.0>
}


cylinder { // Cylndr002
  <0,0,1>, <0,0,0>, 1 
  material {
    SandstP
  }
  scale <1.0, 1.0, 2.0>
  translate  <12.218209, 13.103018, -4.0>
}
